Subject: errors coming from building from scratch
From: "Edward S. Peschko" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Tue, 6 Apr 2004 11:43:04 -0700

> 
> What is the output of cygcheck /your/path/gcc.exe and what are the
> permissions of *all* the shared libraries gcc.exe depends on?

That's the point.. when cygintl-2.dll is 644 (which is a dependency) or *any* of the 
system directories (ADVAPI32.DLL, NTDLL) etc. are 644, programs crash. If I change
it to 777, it works (for a certain definition of works)

Here's the output of cygcheck `which gcc`.exe (yes, I need to put the .exe on the end
of a which call to get it to work, most annoying):

C:/cygwin/opt/tools/mdss/dev/i686/cygwin/bin/gcc.exe
	C:/cygwin/opt/tools/mdss/dev/i686/cygwin/bin\cygintl-.dll
	.\cygwin1.dll
		C:\winnt\system32\ADVAPI32.DLL
		C:\winnt\system32\NTDLL.DLL
		C:\winnt\system32\KERNEL32.DLL
		C:\winnt\system32\RPCRT4.DLL
	C:/cygwin/opt/tools/mdss/dev/i686/cygwin/bin\cygiconv-2.dll

> > Anyways, I'm finding the build from scratch very rough.
> 
> ;)
> 
> If you compile gcc yourself, do you use the 3 stage bootstrap?  Since the
> actual compiler is compiled with itself then, it should work if the build
> succeeds in stage 1 and stage 2, and it if there is s.th. wrong you even
> cannot finish the build of the new gcc.

yes, I go through the bootstrap process. It seems to work fine. 
However, automake installs things with a default permission of 644, which doesn't 
work fine on other packages and leads to popups. 

Popups also occur when dlls aren't found for linking (eg: when you are building gettext.

> See my script included in the gcc-core-3.3.1-3-src.tar.bz2 package about
> the details.
> 
> > And who's the maintainer for the cygwin version of gcc, anyways? I'd like to work
> > with him/her to fix this problem with gcc. 
> 
> Hi.  I'm not sure if I'm able to help you.

Ok, I tell you what.. I'll put together a laundry list of what I find when I build
from scratch. Looking at the above errors, you could argue that the fault for them lies
in cygwin itself not in gcc, so it might be helpful if a larger audience takes them
decides where the fault lies and fixes them on their own. 

You could argue that the fix for the above errors does not lie in gcc, for example,
but lies in cygwin itself - errors like this tend to be very erratically handled. rxvt
for example, handles the case where it can't find an X server via a text statement.
I don't see why cygwin could internalize this behavior and provide a consistant way
of displaying linking errors via text rather than annoying popups..

Ed

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/